### Name: kmeans.birch
### Title: K-means with BIRCH
### Aliases: kmeans.birch
### Keywords: multivariate cluster

### ** Examples

## Load a demo birch Object
data(birchObj)

## Perform k-means, specifying the number of clusters
kOut <- kmeans.birch(birchObj, 2, nstart=10)

## Perform k-means, specifying the initial cluster centers
## See dist.clust for one method of initial cluster centers
kOut <- kmeans.birch(birchObj, matrix(c(0,10), ncol=5, nrow=2))

## To plot using the birch object
plot(birchObj, col=kOut$clust$sub)

## To plot using the underlying data (if available)
## Not run: plot(x, col=kOut$clust$obs)



